name: "train_onfly"
random_seed: 0

stages {
	name: "src"
	type: SOURCE_LMDB
	source_param {
		path: "/home/bioretics/tmp/caffe_train/train"
		loop: true
		scale: 0.00390625
		classes_num: 3
	}
}

stages {
	name: "random_transform"
	type: RANDOM_TRANSFORM
	input: "src"
	random_transform_param {
		resize_min { fx: 0.9 }
		resize_max { fx: 1.1 }
		rotation_min: 0
		rotation_max: 360
		flip_x: true
		flip_y: true
		color_shift {
			basis: {
				shape_str: "3x3"
				d: -0.237119000000000 d: -0.466608000000000 d: -0.852086000000000
				d: -0.786691000000000 d: 0.606844000000000 d: -0.113391000000000
				d: -0.569993000000000 d: -0.643442000000000 d: 0.510971000000000
			}
			magnitude { d: 0.123570071136475 d: 0.000347988250732 d: 0.005409446060181 }
			stddev: 0.1
		}
	}
}

stages {
	name: "resize"
	type: AFFINE_TRANSFORM
	input: "random_transform"
	affine_transform_param {
	resize {
		fx: 0.81
		fy: 0.81
		}
	}
}

stages {
	name: "crop"
	type: FIXED_WINDOW
	input: "resize"

	fixed_window_param {
		rects {
			anchor: MIDDLE_CENTER
			rel_x: 0.5
			rel_y: 0.5
			width: 64
			height: 64
		}
	}
}
